<Project Sdk="Microsoft.NET.Sdk">
  <PropertyGroup>
    <TargetFrameworks>net9.0-windows10.0.19041.0</TargetFrameworks>
    <Platforms>x64</Platforms>
    <RuntimeIdentifier>win-x64</RuntimeIdentifier>
    <OutputType>WinExe</OutputType>
    <RootNamespace>FrymasterBadgeApp</RootNamespace>
    <UseMaui>true</UseMaui>
    <SingleProject>true</SingleProject>
    <ImplicitUsings>enable</ImplicitUsings>
    <EnableDefaultCssItems>false</EnableDefaultCssItems>
    <Nullable>enable</Nullable>

    <ApplicationTitle>FrymasterBadgeApp</ApplicationTitle>
    <ApplicationId>com.c4b3r.frymasterbadgeapp</ApplicationId>
    <ApplicationDisplayVersion>1.0</ApplicationDisplayVersion>
    <ApplicationVersion>1</ApplicationVersion>

    <WindowsPackageType>None</WindowsPackageType>

    <SupportedOSPlatformVersion
      Condition="$([MSBuild]::GetTargetPlatformIdentifier('$(TargetFramework)')) == 'windows'"
      >10.0.17763.0</SupportedOSPlatformVersion
    >
    <TargetPlatformMinVersion
      Condition="$([MSBuild]::GetTargetPlatformIdentifier('$(TargetFramework)')) == 'windows'"
      >10.0.17763.0</TargetPlatformMinVersion
    >

    <NoWarn>$(NoWarn);MSB3277;NU1605</NoWarn>
  </PropertyGroup>

  <ItemGroup>
    <MauiIcon
      Include="Resources\AppIcon\appicon.svg"
      ForegroundFile="Resources\AppIcon\appiconfg.svg"
      Color="#512BD4"
    />
    <MauiSplashScreen Include="Resources\Splash\splash.png" Color="#512BD4" BaseSize="128,128" />
    <MauiImage Include="Resources\Images\*" />
    <MauiImage Update="Resources\Images\dotnet_bot.svg" BaseSize="168,208" />
    <MauiFont Include="Resources\Fonts\*" />
    <MauiAsset Include="Resources\Raw\**" LogicalName="%(RecursiveDir)%(Filename)%(Extension)" />
    <EmbeddedResource Include="Resources\Raw\appsettings.json" />
  </ItemGroup>
  <PropertyGroup Condition="'$(TargetFramework)' == 'net9.0-windows10.0.19041.0'">
    <MauiEnableXamlC>false</MauiEnableXamlC>
  </PropertyGroup>
  <ItemGroup>
    <PackageReference Include="Microsoft.Data.SqlClient" Version="5.2.2" />
    <PackageReference Include="Microsoft.Extensions.Configuration.Json" Version="10.0.1" />
    <PackageReference Include="Microsoft.Maui.Controls" Version="$(MauiVersion)" />
    <PackageReference Include="Microsoft.Extensions.Logging.Debug" Version="9.0.0" />
    <PackageReference Include="System.Drawing.Common" Version="9.0.1" />
    <PackageReference Include="Microsoft.CSharp" Version="4.7.0" />
    <PackageReference Include="Newtonsoft.Json" Version="13.0.3" />
    <PackageReference Include="Lextm.SharpSnmpLib" Version="12.5.6" />
    <PackageReference Include="SkiaSharp" Version="3.116.1" />
    <PackageReference Include="SkiaSharp.Views.Desktop.Common" Version="3.116.1" />
    <PackageReference Include="Neodynamic.SDK.BarcodeCore" Version="6.0.24.513" />
  </ItemGroup>

  <ItemGroup>
    <Reference Include="SdkApi.Card.Core">
      <HintPath>Libs\zebra\Sdk\SdkApi.Card.Core.dll</HintPath>
    </Reference>
    <Reference Include="SdkApi.Card.Desktop">
      <HintPath>Libs\zebra\Sdk\SdkApi.Card.Desktop.dll</HintPath>
    </Reference>
    <Reference Include="SdkApi.Core">
      <HintPath>Libs\zebra\Sdk\SdkApi.Core.dll</HintPath>
    </Reference>
    <Reference Include="SdkApi.Desktop">
      <HintPath>Libs\zebra\Sdk\SdkApi.Desktop.dll</HintPath>
    </Reference>
    <Reference Include="SdkApi.Desktop.Usb">
      <HintPath>Libs\zebra\Sdk\SdkApi.Desktop.Usb.dll</HintPath>
    </Reference>

    <Content Include="Libs\zebra\Sdk\*.dll">
      <CopyToOutputDirectory>PreserveNewest</CopyToOutputDirectory>
      <Visible>false</Visible>
    </Content>
  </ItemGroup>
</Project>
